// TestDialog.cpp : implementation file
//

#include "stdafx.h"
#include "noote_di.h"
#include "TestDialog.h"

#include "KailleraLog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

void PrintTestDialog(HWND hParent)
{
  AFX_MANAGE_STATE(AfxGetStaticModuleState());

  CWnd wParent;
  wParent.Attach(hParent);

  CTestDialog dlg(&wParent);
  
  dlg.DoModal();

  wParent.Detach();
}

void PrintTestDialog(CWnd *wParent)
{
  CTestDialog dlg(wParent);
  
  dlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CTestDialog dialog


CTestDialog::CTestDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CTestDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTestDialog)
	//}}AFX_DATA_INIT
}


void CTestDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTestDialog)
	DDX_Control(pDX, IDC_STATIC_LOG, m_staticLog);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTestDialog, CDialog)
	//{{AFX_MSG_MAP(CTestDialog)
	ON_BN_CLICKED(IDC_BUTTON_LAUNCH, OnButtonLaunch)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestDialog message handlers

void CTestDialog::OnButtonLaunch() 
{
  CString strLog = "";

  strLog += "Starting Test : Starting Log ...\n";
  m_staticLog.SetWindowText(strLog);	
  Sleep(1000);
	strLog += "All seem good...\n";
  m_staticLog.SetWindowText(strLog);
	Sleep(1000);
	strLog += "Wait a moment, please...\n";
  m_staticLog.SetWindowText(strLog);
	Sleep(2000);
  strLog += "Argh... Wait a moment again...\n";
  m_staticLog.SetWindowText(strLog);
	Sleep(2000);
  strLog += "Oups... Hum... Wait a moment yet...\n";
  m_staticLog.SetWindowText(strLog);
	Sleep(2000);
	strLog += "... (???)...\n";
  m_staticLog.SetWindowText(strLog);
	Sleep(1000);
	strLog += "Well... Hum... In fact, I don't know ;)\n";
  m_staticLog.SetWindowText(strLog);
  Sleep(500);
  strLog += "Test Finish : Log Finish... all finish...\n";
  m_staticLog.SetWindowText(strLog);
}
