#ifndef _DI_H
#define _DI_H

void Close_DI();
void Open_DI(HWND hwnd);
bool IsOpen_DI();
void Void_DI();

extern IDirectInput7*  			pDInput;

#define DIDEVICE_KEYBOARD 1
#define DIDEVICE_JOYSTICK 2

typedef struct
{
	IDirectInputDevice7*	pDevice;
	GUID Guid;
	int iType;
	char szName[MAX_PATH];
} DInputDevice;

#define MAX_DEVICES 20
extern DInputDevice DInputDevices[MAX_DEVICES];

extern unsigned long iGetKeysCounter;

extern HWND hWndInput;

#endif //_DI_H
