// KailleraLog.cpp : implementation file
//

#include "stdafx.h"
#include "noote_di.h"
#include "KailleraDll.h"
#include "KailleraLog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKailleraLog dialog


CKailleraLog::CKailleraLog(CWnd* pParent /*=NULL*/)
	: CDialog(CKailleraLog::IDD, pParent), m_bCreated(false), m_bShow(false), m_pParent(pParent)
{
	//{{AFX_DATA_INIT(CKailleraLog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CKailleraLog::~CKailleraLog()
{
}

void CKailleraLog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CKailleraLog)
	DDX_Control(pDX, IDC_EDIT_CHAT, m_editChat);
	DDX_Control(pDX, IDC_EDIT_LOG, m_editLog);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CKailleraLog, CDialog)
	//{{AFX_MSG_MAP(CKailleraLog)
	ON_BN_CLICKED(IDC_BUTTON_CHAT, OnButtonChat)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKailleraLog message handlers

BOOL CKailleraLog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_editLog.SetWindowText("");
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CKailleraLog::Show()
{
	if(m_bCreated)
	{
		m_bShow = true;
		ShowWindow(SW_NORMAL);
	}
}

void CKailleraLog::Hide()
{
	if(m_bCreated)
	{
		m_bShow = false;
	  ShowWindow(SW_HIDE);
	}
}

BOOL CKailleraLog::Create() 
{
	if(!m_bCreated)
	{
		if(CDialog::Create(IDD, m_pParent))
		{
			m_bCreated = true;
			return TRUE;
		}
		m_bCreated = false;
		return FALSE;
	}

	return TRUE;
}

void CKailleraLog::Destroy()
{
	if(m_bCreated)
	{
		CDialog::DestroyWindow();
		m_bCreated = false;
	}
}

void CKailleraLog::AddLog(CString strString)
{
	if(m_bCreated)
	{
		CString strLog;
		m_editLog.GetWindowText(strLog);
		strLog += strString;
		m_editLog.SetWindowText(strLog);
		
		m_editLog.LineScroll (m_editLog.GetLineCount(), 0);
	}
}

void CKailleraLog::OnButtonChat() 
{
	if(m_bCreated)
	{
		CString strString;
		m_editChat.GetWindowText(strString);
		kailleraChatSend((char*)(LPCTSTR)strString);
		m_editChat.SetWindowText("");
	}
}
